Subject: Re: RACK not getting disabled

From: hiren panchasara <[email-masked]>
Date: Mon, 18 Sep 2017 14:29:52 -0700

On 09/18/17 at 02:18P, Eric Dumazet wrote:
> On Mon, 2017-09-18 at 13:14 -0700, hiren panchasara wrote:
> > Hi all, I am trying to disable rack to see 3dupacks in action during
> > loss-detection but based on the pcap, I see that it's still trigger
> > loss-recovery on the first SACK (as if RACK is still enabled/active).
> > 
> > Here is what I did to disable rack:
> > net.ipv4.tcp_recovery = 0
> > 
> > I've also disabled metrics:
> > net.ipv4.tcp_no_metrics_save = 1 
> > And also flushed existing entries with 'ip tcp_metrics flush' just to be
> > on a safer side.
> > 
> > Not really relevant here but I've also switched to reno.
> > 
> > I am on: 4.10.0-33-generic
> > pcap: https://transfer.sh/mfoiN/reno_no_rack.pcap
> > 
> > What am I missing? I can provide any additional info.
> > 
> > Cheers,
> > Hiren
> 
> 
> A single SACK can contains enough information to trigger a retransmit.

Bah, right. FACK!
> 
> If you absolutely want to see the old 3 dupack in action, you also want
> to disable SACK.

I believe net.ipv4.tcp_fack = 0 would achieve that without disabling
sack.

Thanks for your help!
Cheers,
Hiren